CREATE DATABASE  IF NOT EXISTS `crmpv` /*!40100 DEFAULT CHARACTER SET utf8 */;
USE `crmpv`;
-- MySQL dump 10.13  Distrib 5.6.24, for Win64 (x86_64)
--
-- Host: localhost    Database: crmpv
-- ------------------------------------------------------
-- Server version	5.6.25-log

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Table structure for table `categoria`
--

DROP TABLE IF EXISTS `categoria`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `categoria` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `nome` varchar(45) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=8 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `categoria`
--

LOCK TABLES `categoria` WRITE;
/*!40000 ALTER TABLE `categoria` DISABLE KEYS */;
INSERT INTO `categoria` VALUES (1,'Etiqueta'),(2,'Fita'),(7,'Tag 3');
/*!40000 ALTER TABLE `categoria` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `cliente`
--

DROP TABLE IF EXISTS `cliente`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cliente` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `nome` varchar(45) NOT NULL,
  `telefone` varchar(45) DEFAULT NULL,
  `email` varchar(45) DEFAULT NULL,
  `cpf` varchar(45) DEFAULT NULL,
  `dataNascimento` date DEFAULT NULL,
  `cnpj` varchar(45) DEFAULT NULL,
  `type` varchar(45) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `cliente`
--

LOCK TABLES `cliente` WRITE;
/*!40000 ALTER TABLE `cliente` DISABLE KEYS */;
INSERT INTO `cliente` VALUES (1,'Guilherme Inacio Gonçalves','+5522999231446','inacio.guilherme@gmail.com','14057269703','1994-07-06',NULL,'PESSOA_FISICA'),(2,'Hak','+552225235210','contato@hak.com',NULL,NULL,'72.267.098/0001-59','PESSOA_JURIDICA'),(3,'Renan Cockles','+5521984184918','rennancockles@gmail.com','06835446161','1991-02-01',NULL,'PESSOA_FISICA'),(4,'Rennan Cockles','+5521975391588','rennancockles@gmail.com','05903609732','1992-06-28',NULL,'PESSOA_FISICA');
/*!40000 ALTER TABLE `cliente` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `endereco`
--

DROP TABLE IF EXISTS `endereco`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `endereco` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `rua` varchar(255) NOT NULL,
  `numero` int(11) DEFAULT NULL,
  `complemento` varchar(255) DEFAULT NULL,
  `bairro` varchar(45) NOT NULL,
  `cidade` varchar(45) NOT NULL,
  `uf` varchar(45) NOT NULL,
  `cep` varchar(45) NOT NULL,
  `idCliente` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `fk_Endereco_Cliente_idx` (`idCliente`),
  CONSTRAINT `fk_Endereco_Cliente` FOREIGN KEY (`idCliente`) REFERENCES `cliente` (`id`) ON DELETE CASCADE ON UPDATE NO ACTION
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `endereco`
--

LOCK TABLES `endereco` WRITE;
/*!40000 ALTER TABLE `endereco` DISABLE KEYS */;
INSERT INTO `endereco` VALUES (1,'Rua Acre',34,'Apt. 201','Olaria','Nova Friburgo','RJ','28623340',1),(2,'Rua Conselheiro Júlios Arp',100,'','Paissandú','Nova Friburgo','RJ','28623340',2),(3,'Rua do Sesi',50,'Apt. 3003','Vila Amélia','Nova Friburgo','RJ','28623340',3),(4,'Rua Nova Friburgo',285,'Apt. 104','Agrioes','Teresópolis','RJ','25963020',4);
/*!40000 ALTER TABLE `endereco` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `itemvenda`
--

DROP TABLE IF EXISTS `itemvenda`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `itemvenda` (
  `idProduto` int(11) NOT NULL,
  `idVenda` int(11) NOT NULL,
  `quantidade` int(11) NOT NULL,
  PRIMARY KEY (`idProduto`,`idVenda`),
  KEY `fk_ItemVenda_Venda_idx` (`idVenda`),
  CONSTRAINT `fk_ItemVenda_Produto` FOREIGN KEY (`idProduto`) REFERENCES `produto` (`id`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `fk_ItemVenda_Venda` FOREIGN KEY (`idVenda`) REFERENCES `venda` (`id`) ON DELETE CASCADE ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `itemvenda`
--

LOCK TABLES `itemvenda` WRITE;
/*!40000 ALTER TABLE `itemvenda` DISABLE KEYS */;
INSERT INTO `itemvenda` VALUES (1,4,5),(1,5,1),(1,7,3),(1,13,100),(2,4,3),(2,6,100),(3,5,4),(3,6,200),(3,7,2),(3,13,25),(3,14,10),(3,15,20),(3,20,15),(3,21,15),(3,22,15),(3,23,1),(3,24,1),(4,8,100),(4,9,50),(4,10,100),(4,11,50),(4,12,100),(4,16,10),(4,17,10),(4,18,10),(4,19,20),(4,25,10),(4,26,20),(4,27,10),(4,28,20),(4,29,10),(4,30,20),(4,31,15);
/*!40000 ALTER TABLE `itemvenda` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `mediaconsumo`
--

DROP TABLE IF EXISTS `mediaconsumo`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `mediaconsumo` (
  `idCliente` int(11) NOT NULL,
  `idProduto` int(11) NOT NULL,
  `media` double NOT NULL,
  `primeiraCompra` date NOT NULL,
  `totalComprado` int(11) NOT NULL,
  PRIMARY KEY (`idCliente`,`idProduto`),
  KEY `fk_MediaConsumo_Produto_idx` (`idProduto`),
  CONSTRAINT `fk_MediaConsumo_Cliente` FOREIGN KEY (`idCliente`) REFERENCES `cliente` (`id`) ON DELETE CASCADE ON UPDATE NO ACTION,
  CONSTRAINT `fk_MediaConsumo_Produto` FOREIGN KEY (`idProduto`) REFERENCES `produto` (`id`) ON DELETE CASCADE ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `mediaconsumo`
--

LOCK TABLES `mediaconsumo` WRITE;
/*!40000 ALTER TABLE `mediaconsumo` DISABLE KEYS */;
INSERT INTO `mediaconsumo` VALUES (2,1,0,'2015-07-10',100),(2,3,134,'2015-06-28',77),(3,1,5,'2014-06-28',20),(3,2,25,'2014-06-28',100),(3,3,15,'2015-06-01',45),(3,4,15,'2015-06-01',45);
/*!40000 ALTER TABLE `mediaconsumo` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `notificacao`
--

DROP TABLE IF EXISTS `notificacao`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `notificacao` (
  `idCliente` int(11) NOT NULL,
  `idProduto` int(11) NOT NULL,
  `dataPrevisao` date DEFAULT NULL,
  PRIMARY KEY (`idCliente`,`idProduto`),
  KEY `fk_Notificacao_Produto_idx` (`idProduto`),
  CONSTRAINT `fk_Notificacao_Cliente` FOREIGN KEY (`idCliente`) REFERENCES `cliente` (`id`) ON DELETE CASCADE ON UPDATE NO ACTION,
  CONSTRAINT `fk_Notificacao_Produto` FOREIGN KEY (`idProduto`) REFERENCES `produto` (`id`) ON DELETE CASCADE ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `notificacao`
--

LOCK TABLES `notificacao` WRITE;
/*!40000 ALTER TABLE `notificacao` DISABLE KEYS */;
INSERT INTO `notificacao` VALUES (2,3,NULL),(3,3,NULL),(3,4,NULL);
/*!40000 ALTER TABLE `notificacao` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `pagamento`
--

DROP TABLE IF EXISTS `pagamento`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `pagamento` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `descricao` varchar(45) DEFAULT NULL,
  `efetuado` tinyint(1) NOT NULL,
  `tipo` varchar(45) NOT NULL,
  `idVenda` int(11) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `fk_Pagamento_Venda_idx` (`idVenda`),
  CONSTRAINT `fk_Pagamento_Venda` FOREIGN KEY (`idVenda`) REFERENCES `venda` (`id`) ON DELETE CASCADE ON UPDATE NO ACTION
) ENGINE=InnoDB AUTO_INCREMENT=32 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `pagamento`
--

LOCK TABLES `pagamento` WRITE;
/*!40000 ALTER TABLE `pagamento` DISABLE KEYS */;
INSERT INTO `pagamento` VALUES (4,'Uma parcela',0,'CARTAO_CREDITO',4),(5,'Na mão',1,'DINHEIRO',5),(6,'2 parcelas',1,'CARTAO_CREDITO',6),(7,'',1,'DINHEIRO',7),(8,'vista',1,'DINHEIRO',8),(9,'vista',1,'DINHEIRO',9),(10,'vista',1,'DINHEIRO',10),(11,'vista',1,'DINHEIRO',11),(12,'',1,'DINHEIRO',12),(13,'',1,'CARTAO_DEBITO',13),(14,'',1,'DINHEIRO',14),(15,'',1,'CHEQUE_PRE',15),(16,'',1,'DINHEIRO',16),(17,'',1,'DINHEIRO',17),(18,'',1,'DINHEIRO',18),(19,'',1,'DINHEIRO',19),(20,'',1,'DINHEIRO',20),(21,'',1,'DINHEIRO',21),(22,'',1,'DINHEIRO',22),(23,'',1,'DINHEIRO',23),(24,'',1,'DINHEIRO',24),(25,'',1,'DINHEIRO',25),(26,'',1,'CHEQUE_AVISTA',26),(27,'',1,'CHEQUE_PRE',27),(28,'',1,'CHEQUE_AVISTA',28),(29,'',1,'DINHEIRO',29),(30,'',1,'DINHEIRO',30),(31,'',1,'DINHEIRO',31);
/*!40000 ALTER TABLE `pagamento` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `produto`
--

DROP TABLE IF EXISTS `produto`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `produto` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `nome` varchar(255) NOT NULL,
  `codigo` varchar(45) NOT NULL,
  `preco` decimal(10,2) NOT NULL,
  `idCategoria` int(11) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `fk_Produto_Categoria_idx` (`idCategoria`),
  CONSTRAINT `fk_Produto_Categoria` FOREIGN KEY (`idCategoria`) REFERENCES `categoria` (`id`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `produto`
--

LOCK TABLES `produto` WRITE;
/*!40000 ALTER TABLE `produto` DISABLE KEYS */;
INSERT INTO `produto` VALUES (1,'Etiqueta Verde','004',1.60,1),(2,'Tag Amarelo','108',2.50,7),(3,'Fita Colorida','502',9.90,2),(4,'Fita Cinza','501',4.20,2);
/*!40000 ALTER TABLE `produto` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `usuario`
--

DROP TABLE IF EXISTS `usuario`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `usuario` (
  `idCliente` int(11) NOT NULL,
  `username` varchar(45) NOT NULL,
  `password` varchar(45) NOT NULL,
  `cargo` varchar(45) NOT NULL,
  PRIMARY KEY (`idCliente`),
  CONSTRAINT `fk_Usuario_Cliente` FOREIGN KEY (`idCliente`) REFERENCES `cliente` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `usuario`
--

LOCK TABLES `usuario` WRITE;
/*!40000 ALTER TABLE `usuario` DISABLE KEYS */;
INSERT INTO `usuario` VALUES (1,'guilherme','1234','GERENTE'),(4,'rennan','1234','GERENTE');
/*!40000 ALTER TABLE `usuario` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `venda`
--

DROP TABLE IF EXISTS `venda`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `venda` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `data` date NOT NULL,
  `idCliente` int(11) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `fk_Venda_Cliente_idx` (`idCliente`),
  CONSTRAINT `fk_Venda_Cliente` FOREIGN KEY (`idCliente`) REFERENCES `cliente` (`id`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB AUTO_INCREMENT=32 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `venda`
--

LOCK TABLES `venda` WRITE;
/*!40000 ALTER TABLE `venda` DISABLE KEYS */;
INSERT INTO `venda` VALUES (4,'2015-07-06',1),(5,'2015-07-07',2),(6,'2015-05-07',3),(7,'2015-07-08',2),(8,'2015-07-10',3),(9,'2015-08-09',3),(10,'2015-07-01',3),(11,'2015-07-31',3),(12,'2015-08-30',3),(13,'2015-07-10',2),(14,'2015-07-10',3),(15,'2015-08-10',3),(16,'2015-06-01',3),(17,'2015-06-01',3),(18,'2015-06-01',3),(19,'2015-07-01',3),(20,'2015-06-01',3),(21,'2015-07-01',3),(22,'2015-07-31',3),(23,'2015-07-10',2),(24,'2015-07-15',2),(25,'2015-06-01',3),(26,'2015-07-01',3),(27,'2015-06-01',3),(28,'2015-07-01',3),(29,'2015-06-01',3),(30,'2015-07-01',3),(31,'2015-07-31',3);
/*!40000 ALTER TABLE `venda` ENABLE KEYS */;
UNLOCK TABLES;
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

-- Dump completed on 2015-07-10  3:06:37
