package com.iprj.apoo.crmpv.controller;

import com.iprj.apoo.crmpv.model.dao.NotificacaoDAO;
import com.iprj.apoo.crmpv.model.entity.Notificacao;
import com.iprj.apoo.crmpv.model.json.NotificacaoFactory;
import com.iprj.apoo.crmpv.util.JSONUtil;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.ResponseBody;
import org.springframework.web.servlet.ModelAndView;

import javax.servlet.http.HttpServletResponse;
import java.util.List;

@Controller
@RequestMapping("/dashboard")
public class DashboardController {

    @RequestMapping(method = RequestMethod.GET)
    public ModelAndView index() {
        return new ModelAndView("calendario");
    }

    @RequestMapping(value = {"/notificacao/get"}, method = RequestMethod.GET, produces = "application/json; charset=utf-8")
    public
    @ResponseBody
    String getNotificacao(HttpServletResponse response) {
        try {
            NotificacaoDAO dao = new NotificacaoDAO();
            List<Notificacao> list = dao.getAll();
            return new NotificacaoFactory().parseCollectionToJSON(list);
        } catch (Exception e) {
            int status = HttpServletResponse.SC_INTERNAL_SERVER_ERROR;
            response.setStatus(status);
            return JSONUtil.serializeError(status, e);
        }
    }

}