package com.iprj.apoo.crmpv.model.dao;

import com.iprj.apoo.crmpv.model.entity.Entity;

import java.sql.Connection;
import java.sql.ResultSet;
import java.sql.SQLException;
import java.util.List;

/**
 * Created by guilherme on 01/07/15.
 */
public abstract class DAO<T extends Entity> {

    protected DatabaseConnection databaseConnection;

    public DAO() {
        databaseConnection = DatabaseConnection.getInstance();
    }

    protected Connection getConnection() throws SQLException {
        return databaseConnection.getConnection();
    }

    public abstract T getById(long id) throws SQLException;

    public abstract List<T> getAll() throws SQLException;

    public abstract void insert(T entity) throws SQLException;

    public abstract void update(T entity) throws SQLException;

    public abstract void delete(long id) throws SQLException;

    public abstract T parseResultSet(ResultSet resultSet) throws SQLException;
}
