package com.iprj.apoo.crmpv.model.entity;

import java.util.ArrayList;
import java.util.Date;
import java.util.Iterator;

/**
 * Created by guilherme on 29/06/15.
 */
public class Venda extends Entity {

    private long id;
    private Cliente cliente;
    private ArrayList<ItemVenda> itens;
    private Pagamento pagamento;
    private Date data;

    public Venda() {
        itens = new ArrayList<>();
    }

    public long getId() {
        return id;
    }

    public void setId(long id) {
        this.id = id;
    }

    public Cliente getCliente() {
        return cliente;
    }

    public void setCliente(Cliente cliente) {
        this.cliente = cliente;
    }

    public Iterator<ItemVenda> getItens() {
        return itens.iterator();
    }

    public void addItem(ItemVenda item) {
        ItemVenda existentItem = null;
        for (ItemVenda i : itens) {
            if (i.getProduto().getId() == item.getProduto().getId()) {
                existentItem = i;
                break;
            }
        }
        if (existentItem != null) {
            int quantidade = existentItem.getQuantidade();
            quantidade += item.getQuantidade();
            existentItem.setQuantidade(quantidade);
        } else {
            this.itens.add(item);
        }
    }

    public Pagamento getPagamento() {
        return pagamento;
    }

    public void setPagamento(Pagamento pagamento) {
        this.pagamento = pagamento;
    }

    public double getTotal() {
        double total = 0;
        for (ItemVenda item : itens) {
            total += item.getSubtotal();
        }
        return total;
    }

    public Date getData() {
        return data;
    }

    public void setData(Date data) {
        this.data = data;
    }

}
