package com.iprj.apoo.crmpv.model.json;

import com.iprj.apoo.crmpv.model.entity.Categoria;
import org.json.JSONArray;
import org.json.JSONObject;

import java.util.ArrayList;
import java.util.Collection;

/**
 * Created by guilherme on 08/07/15.
 */
public class CategoriaFactory extends EntityFactory<Categoria> {

    @Override
    public Categoria getFromJSON(String json) {
        JSONObject jsonObject = new JSONObject(json);
        Categoria categoria = new Categoria();
        categoria.setId(jsonObject.optLong("id"));
        categoria.setNome(jsonObject.optString("nome"));
        return categoria;
    }

    @Override
    public String parseToJSON(Categoria entity) {
        JSONObject json = new JSONObject();
        json.put("id", entity.getId());
        json.put("nome", entity.getNome());
        if (entity.getTotalVendido() != 0) {
            json.put("totalVendido", entity.getTotalVendido());
        }
        return json.toString();
    }

    @Override
    public ArrayList<Categoria> getFromJSONArray(String jsonArray) {
        JSONArray array = new JSONArray(jsonArray);
        ArrayList<Categoria> list = new ArrayList<>();
        for (int i = 0; i < array.length(); i++) {
            JSONObject entity = array.getJSONObject(i);
            list.add(getFromJSON(entity.toString()));
        }
        return list;
    }

    @Override
    public String parseCollectionToJSON(Collection<Categoria> collection) {
        JSONArray jsonArray = new JSONArray();
        for (Categoria entity : collection) {
            jsonArray.put(new JSONObject(parseToJSON(entity)));
        }
        return jsonArray.toString();
    }
}
