package com.iprj.apoo.crmpv.model.json;

import com.iprj.apoo.crmpv.model.entity.Endereco;
import org.json.JSONArray;
import org.json.JSONObject;

import java.util.ArrayList;
import java.util.Collection;

/**
 * Created by guilherme on 10/07/15.
 */
public class EnderecoFactory extends EntityFactory<Endereco> {
    @Override
    public Endereco getFromJSON(String json) {
        JSONObject jsonObject = new JSONObject(json);
        Endereco endereco = new Endereco();
        endereco.setId(jsonObject.optLong("id"));
        endereco.setRua(jsonObject.getString("rua"));
        endereco.setNumero(jsonObject.optInt("numero"));
        endereco.setComplemento(jsonObject.optString("complemento"));
        endereco.setBairro(jsonObject.getString("bairro"));
        endereco.setCidade(jsonObject.getString("cidade"));
        endereco.setUf(jsonObject.getString("uf"));
        endereco.setCep(jsonObject.getString("cep"));
        return endereco;
    }

    @Override
    public String parseToJSON(Endereco entity) {
        JSONObject json = new JSONObject();
        json.put("id", entity.getId());
        json.put("rua", entity.getRua());
        json.put("numero", entity.getNumero());
        json.put("complemento", entity.getComplemento());
        json.put("bairro", entity.getBairro());
        json.put("cidade", entity.getCidade());
        json.put("uf", entity.getUf());
        json.put("cep", entity.getCep());
        return json.toString();
    }

    @Override
    public ArrayList<Endereco> getFromJSONArray(String jsonArray) {
        JSONArray array = new JSONArray(jsonArray);
        ArrayList<Endereco> list = new ArrayList<>();
        for (int i = 0; i < array.length(); i++) {
            JSONObject entity = array.getJSONObject(i);
            list.add(getFromJSON(entity.toString()));
        }
        return list;
    }

    @Override
    public String parseCollectionToJSON(Collection<Endereco> collection) {
        JSONArray jsonArray = new JSONArray();
        for (Endereco entity : collection) {
            jsonArray.put(new JSONObject(parseToJSON(entity)));
        }
        return jsonArray.toString();
    }
}
