package com.iprj.apoo.crmpv.model.json;

import com.iprj.apoo.crmpv.model.entity.Cliente;
import com.iprj.apoo.crmpv.model.entity.Filtro;
import com.iprj.apoo.crmpv.model.entity.Produto;
import org.json.JSONArray;
import org.json.JSONObject;

import java.util.ArrayList;
import java.util.Collection;

/**
 * Created by Rennan on 12/07/2015.
 */
public class FiltroFactory extends EntityFactory<Filtro> {
    @Override
    public Filtro getFromJSON(String json) {
        JSONObject jsonObject = new JSONObject(json);
        Cliente cliente = new ClienteFactory().getFromJSON(jsonObject.getJSONObject("cliente").toString());
        Produto produto = new ProdutoFactory().getFromJSON(jsonObject.getJSONObject("produto").toString());

        Filtro filtro = new Filtro();
        filtro.setCliente(cliente);
        filtro.setProduto(produto);
        filtro.setQuantidade(jsonObject.optLong("quantidade"));

        return filtro;
    }

    @Override
    public String parseToJSON(Filtro entity) {
        String cliente = new ClienteFactory().parseToJSON(entity.getCliente());
        String produto = new ProdutoFactory().parseToJSON(entity.getProduto());

        JSONObject json = new JSONObject();
        json.put("cliente", new JSONObject(cliente));
        json.put("produto", new JSONObject(produto));
        json.put("quantidade", entity.getQuantidade());

        return json.toString();
    }

    @Override
    public ArrayList<Filtro> getFromJSONArray(String jsonArray) {
        JSONArray array = new JSONArray(jsonArray);
        ArrayList<Filtro> list = new ArrayList<>();
        for (int i = 0; i < array.length(); i++) {
            JSONObject entity = array.getJSONObject(i);
            list.add(getFromJSON(entity.toString()));
        }
        return list;
    }

    @Override
    public String parseCollectionToJSON(Collection<Filtro> collection) {
        JSONArray jsonArray = new JSONArray();
        for (Filtro entity : collection) {
            jsonArray.put(new JSONObject(parseToJSON(entity)));
        }
        return jsonArray.toString();
    }
}
