package com.iprj.apoo.crmpv.model.json;

import com.iprj.apoo.crmpv.model.entity.ItemVenda;
import com.iprj.apoo.crmpv.model.entity.Produto;
import org.json.JSONArray;
import org.json.JSONObject;

import java.util.ArrayList;
import java.util.Collection;

/**
 * Created by guilherme on 10/07/15.
 */
public class ItemVendaFactory extends EntityFactory<ItemVenda> {
    @Override
    public ItemVenda getFromJSON(String json) {
        JSONObject jsonObject = new JSONObject(json);
        Produto produto = new ProdutoFactory().getFromJSON(jsonObject.getJSONObject("produto").toString());
        int quantidade = jsonObject.getInt("quantidade");
        return new ItemVenda(produto, quantidade);
    }

    @Override
    public String parseToJSON(ItemVenda entity) {
        JSONObject json = new JSONObject();
        json.put("produto", new ProdutoFactory().parseToJSON(entity.getProduto()));
        json.put("quantidade", entity.getQuantidade());
        json.put("subtotal", entity.getSubtotal());
        return json.toString();
    }

    @Override
    public ArrayList<ItemVenda> getFromJSONArray(String jsonArray) {
        JSONArray array = new JSONArray(jsonArray);
        ArrayList<ItemVenda> list = new ArrayList<>();
        for (int i = 0; i < array.length(); i++) {
            JSONObject entity = array.getJSONObject(i);
            list.add(getFromJSON(entity.toString()));
        }
        return list;
    }

    @Override
    public String parseCollectionToJSON(Collection<ItemVenda> collection) {
        JSONArray jsonArray = new JSONArray();
        for (ItemVenda entity : collection) {
            jsonArray.put(new JSONObject(parseToJSON(entity)));
        }
        return jsonArray.toString();
    }
}
