package com.iprj.apoo.crmpv.model.json;

import com.iprj.apoo.crmpv.model.entity.MediaConsumo;
import org.json.JSONArray;
import org.json.JSONObject;

import java.util.ArrayList;
import java.util.Collection;

/**
 * Created by guilherme on 11/07/15.
 */
public class MediaConsumoFactory extends EntityFactory<MediaConsumo> {
    @Override
    public MediaConsumo getFromJSON(String json) {
        return null;
    }

    @Override
    public String parseToJSON(MediaConsumo entity) {
        String cliente = new ClienteFactory().parseToJSON(entity.getCliente());
        String produto = new ProdutoFactory().parseToJSON(entity.getProduto());
        JSONObject json = new JSONObject();
        json.put("cliente", new JSONObject(cliente));
        json.put("produto", new JSONObject(produto));
        json.put("media", entity.getMedia());
        json.put("primeiraCompra", entity.getPrimeiraCompra().getTime());
        json.put("quantidade", entity.getTotalComprado());
        return json.toString();
    }

    @Override
    public ArrayList<MediaConsumo> getFromJSONArray(String jsonArray) {
        return null;
    }

    @Override
    public String parseCollectionToJSON(Collection<MediaConsumo> collection) {
        JSONArray jsonArray = new JSONArray();
        for (MediaConsumo entity : collection) {
            jsonArray.put(new JSONObject(parseToJSON(entity)));
        }
        return jsonArray.toString();
    }
}
