package com.iprj.apoo.crmpv.model.json;

import com.iprj.apoo.crmpv.model.entity.Pagamento;
import com.iprj.apoo.crmpv.model.entity.TipoPagamento;
import org.json.JSONArray;
import org.json.JSONObject;

import java.util.ArrayList;
import java.util.Collection;

/**
 * Created by guilherme on 10/07/15.
 */
public class PagamentoFactory extends EntityFactory<Pagamento> {
    @Override
    public Pagamento getFromJSON(String json) {
        JSONObject jsonObject = new JSONObject(json);
        Pagamento pagamento = new Pagamento();
        pagamento.setId(jsonObject.optLong("id"));
        pagamento.setTipo(TipoPagamento.valueOf(jsonObject.getString("tipo")));
        pagamento.setDescricao(jsonObject.optString("descricao"));
        pagamento.setEfetuado(jsonObject.getBoolean("efetuado"));
        return pagamento;
    }

    @Override
    public String parseToJSON(Pagamento entity) {
        JSONObject json = new JSONObject();
        json.put("id", entity.getId());
        json.put("tipo", entity.getTipo());
        json.put("descricao", entity.getDescricao());
        json.put("efetuado", entity.isEfetuado());
        return json.toString();
    }

    @Override
    public ArrayList<Pagamento> getFromJSONArray(String jsonArray) {
        JSONArray array = new JSONArray(jsonArray);
        ArrayList<Pagamento> list = new ArrayList<>();
        for (int i = 0; i < array.length(); i++) {
            JSONObject entity = array.getJSONObject(i);
            list.add(getFromJSON(entity.toString()));
        }
        return list;
    }

    @Override
    public String parseCollectionToJSON(Collection<Pagamento> collection) {
        JSONArray jsonArray = new JSONArray();
        for (Pagamento entity : collection) {
            jsonArray.put(new JSONObject(parseToJSON(entity)));
        }
        return jsonArray.toString();
    }
}
