package com.iprj.apoo.crmpv.model.json;

import com.iprj.apoo.crmpv.model.entity.Categoria;
import com.iprj.apoo.crmpv.model.entity.Produto;
import org.json.JSONArray;
import org.json.JSONObject;

import java.util.ArrayList;
import java.util.Collection;

/**
 * Created by guilherme on 10/07/15.
 */
public class ProdutoFactory extends EntityFactory<Produto> {
    @Override
    public Produto getFromJSON(String json) {
        JSONObject jsonObject = new JSONObject(json);
        Categoria categoria = new CategoriaFactory().getFromJSON(jsonObject.getJSONObject("categoria").toString());
        Produto produto = new Produto();
        produto.setId(jsonObject.optLong("id"));
        produto.setNome(jsonObject.getString("nome"));
        produto.setCodigo(jsonObject.getString("codigo"));
        produto.setPreco(jsonObject.getDouble("preco"));
        produto.setCategoria(categoria);
        return produto;
    }

    @Override
    public String parseToJSON(Produto entity) {
        String categoria = new CategoriaFactory().parseToJSON(entity.getCategoria());

        JSONObject json = new JSONObject();
        json.put("id", entity.getId());
        json.put("nome", entity.getNome());
        json.put("codigo", entity.getCodigo());
        json.put("preco", entity.getPreco());
        json.put("categoria", new JSONObject(categoria));
        if (entity.getTotalVendido() != 0) {
            json.put("totalVendido", entity.getTotalVendido());
        }
        return json.toString();
    }

    @Override
    public ArrayList<Produto> getFromJSONArray(String jsonArray) {
        JSONArray array = new JSONArray(jsonArray);
        ArrayList<Produto> list = new ArrayList<>();
        for (int i = 0; i < array.length(); i++) {
            JSONObject entity = array.getJSONObject(i);
            list.add(getFromJSON(entity.toString()));
        }
        return list;
    }

    @Override
    public String parseCollectionToJSON(Collection<Produto> collection) {
        JSONArray jsonArray = new JSONArray();
        for (Produto entity : collection) {
            jsonArray.put(new JSONObject(parseToJSON(entity)));
        }
        return jsonArray.toString();
    }
}
