package com.iprj.apoo.crmpv.model.json;

import com.iprj.apoo.crmpv.model.entity.Cargo;
import com.iprj.apoo.crmpv.model.entity.Endereco;
import com.iprj.apoo.crmpv.model.entity.Usuario;
import com.iprj.apoo.crmpv.util.DateUtil;
import org.json.JSONArray;
import org.json.JSONObject;

import java.util.ArrayList;
import java.util.Collection;

/**
 * Created by guilherme on 10/07/15.
 */
public class UsuarioFactory extends EntityFactory<Usuario> {
    @Override
    public Usuario getFromJSON(String json) {
        JSONObject jsonObject = new JSONObject(json);
        Endereco endereco = new EnderecoFactory().getFromJSON(jsonObject.getJSONObject("endereco").toString());
        Usuario usuario = new Usuario();
        usuario.setId(jsonObject.optLong("id"));
        usuario.setNome(jsonObject.getString("nome"));
        usuario.setTelefone(jsonObject.getString("telefone"));
        usuario.setEmail(jsonObject.getString("email"));
        usuario.setCpf(jsonObject.getString("cpf"));
        usuario.setDataNascimento(DateUtil.getDate(jsonObject.getString("dataNascimento")));
        usuario.setEndereco(endereco);
        usuario.setUsername(jsonObject.getString("username"));
        usuario.setPassword(jsonObject.getString("password"));
        usuario.setCargo(Cargo.valueOf(jsonObject.getString("cargo")));
        return usuario;
    }

    @Override
    public String parseToJSON(Usuario entity) {
        String clientJson = new ClienteFactory().parseToJSON(entity);
        JSONObject json = new JSONObject(clientJson);
        json.put("username", entity.getUsername());
        json.put("cargo", entity.getCargo().toString());
        return json.toString();
    }

    @Override
    public ArrayList<Usuario> getFromJSONArray(String jsonArray) {
        JSONArray array = new JSONArray(jsonArray);
        ArrayList<Usuario> list = new ArrayList<>();
        for (int i = 0; i < array.length(); i++) {
            JSONObject entity = array.getJSONObject(i);
            list.add(getFromJSON(entity.toString()));
        }
        return list;
    }

    @Override
    public String parseCollectionToJSON(Collection<Usuario> collection) {
        JSONArray jsonArray = new JSONArray();
        for (Usuario entity : collection) {
            jsonArray.put(new JSONObject(parseToJSON(entity)));
        }
        return jsonArray.toString();
    }
}
