package com.iprj.apoo.crmpv.security;

import com.iprj.apoo.crmpv.model.dao.UsuarioDAO;
import com.iprj.apoo.crmpv.model.entity.Usuario;
import org.springframework.security.authentication.AuthenticationProvider;
import org.springframework.security.authentication.BadCredentialsException;
import org.springframework.security.authentication.UsernamePasswordAuthenticationToken;
import org.springframework.security.core.Authentication;
import org.springframework.security.core.AuthenticationException;
import org.springframework.security.core.GrantedAuthority;
import org.springframework.security.core.authority.SimpleGrantedAuthority;

import java.sql.SQLException;
import java.util.ArrayList;
import java.util.List;

/**
 * Created by guilherme on 07/07/15.
 */
public class SessionAuthenticationProvider implements AuthenticationProvider {

    @Override
    public Authentication authenticate(Authentication authentication) throws AuthenticationException {
        try {
            String username = String.valueOf(authentication.getPrincipal());
            String password = String.valueOf(authentication.getCredentials());
            Usuario reference = new UsuarioDAO().getByUsername(username);

            if (reference == null) {
                throw new BadCredentialsException("Usuário inexistente");
            }
            if (!reference.getPassword().equals(password)) {
                throw new BadCredentialsException("Senha inválida");
            }
            List<GrantedAuthority> grantedAuths = new ArrayList<>();
            switch (reference.getCargo()) {
                case USUARIO:
                    grantedAuths.add(new SimpleGrantedAuthority("ROLE_USUARIO"));
                    break;
                case GERENTE:
                    grantedAuths.add(new SimpleGrantedAuthority("ROLE_USUARIO"));
                    grantedAuths.add(new SimpleGrantedAuthority("ROLE_GERENTE"));
                    break;
            }
            return new UsernamePasswordAuthenticationToken(username, password, grantedAuths);
        } catch (SQLException e) {
            e.printStackTrace();
            return null;
        }
    }

    @Override
    public boolean supports(Class<?> aClass) {
        return aClass.equals(UsernamePasswordAuthenticationToken.class);
    }
}
