package com.iprj.apoo.crmpv.util;

import java.text.SimpleDateFormat;
import java.util.Calendar;
import java.util.Date;
import java.util.Locale;

/**
 * Created by guilherme on 01/07/15.
 */
public class DateUtil {

    private static Locale locale = new Locale("pt", "br");

    public static Date now() {
        return Calendar.getInstance(locale).getTime();
    }

    public static Date getDate(String jsonValue) {
        try {
            return new SimpleDateFormat("yyyy-MM-dd", locale).parse(jsonValue);
        } catch (Exception e) {
            return null;
        }
    }

    public static Date getTime(String jsonValue) {
        try {
            return new SimpleDateFormat("HH:mm:ss", locale).parse(jsonValue);
        } catch (Exception e) {
            return null;
        }
    }

    public static Date getTime(String jsonValue, String pattern) {
        try {
            return new SimpleDateFormat(pattern, locale).parse(jsonValue);
        } catch (Exception e) {
            return null;
        }
    }

    public static Date getDateTime(String jsonValue) {
        try {
            jsonValue = jsonValue.replace("T", " ");
            return new SimpleDateFormat("yyyy-MM-dd HH:mm:ss", locale).parse(jsonValue);
        } catch (Exception e) {
            return null;
        }
    }

    public static String getDateString(Date date) {
        try {
            return new SimpleDateFormat("yyyy-MM-dd", locale).format(date);
        } catch (Exception e) {
            return null;
        }
    }

    public static String getTimeString(Date date) {
        try {
            return new SimpleDateFormat("HH:mm:ss", locale).format(date);
        } catch (Exception e) {
            return null;
        }
    }

    public static String getTimeString(Date date, String pattern) {
        try {
            return new SimpleDateFormat(pattern, locale).format(date);
        } catch (Exception e) {
            return null;
        }
    }

    public static String getDateTimeString(Date date) {
        try {
            return new SimpleDateFormat("yyyy-MM-dd HH:mm:ss", locale).format(date);
        } catch (Exception e) {
            return null;
        }
    }

    public static String getString(Date date, String pattern) {
        try {
            return new SimpleDateFormat(pattern, locale).format(date);
        } catch (Exception e) {
            return null;
        }
    }

    public static Locale getLocale() {
        return locale;
    }
}
