<%@ page contentType="text/html;charset=UTF-8" pageEncoding="UTF-8" language="java" %>
<%@taglib prefix="t" tagdir="/WEB-INF/tags" %>
<%@ taglib prefix="c" uri="http://www.springframework.org/tags" %>
<t:dashboard>

    <jsp:attribute name="stylesheet">
        <link href="<c:url value="/css/angular-bootstrap-calendar.min.css"/>" rel="stylesheet">
    </jsp:attribute>

    <jsp:attribute name="script">
        <script src="<c:url value="/js/moment-with-locales.min.js"/>"></script>
        <script src="<c:url value="/js/interact-1.2.4.min.js"/>"></script>
        <script src="<c:url value="/js/angular-bootstrap-calendar-tpls.min.js"/>"></script>
        <script src="<c:url value="/js/controllers/calendario.controller.js"/>"></script>
    </jsp:attribute>

    <jsp:body>

        <div class="container-fluid" ng-controller="CalendarioController">

            <div class="row" style="margin-bottom: 10px;">

                <div class="col-md-6 text-center">
                    <div class="btn-group">

                        <button class="btn btn-primary ng-isolate-scope" mwl-date-modifier date="calendarDay"
                                decrement="calendarView">
                            Anterior
                        </button>
                        <button class="btn btn-default ng-isolate-scope" mwl-date-modifier date="calendarDay"
                                set-to-today>
                            Hoje
                        </button>
                        <button class="btn btn-primary ng-isolate-scope" mwl-date-modifier date="calendarDay"
                                increment="calendarView">
                            Próximo
                        </button>
                    </div>
                </div>

                <br class="visible-xs visible-sm">

                <div class="col-md-6 text-center">
                    <div class="btn-group">
                        <label class="btn btn-primary ng-pristine ng-untouched ng-valid" ng-model="calendarView"
                               btn-radio="'year'">Ano</label>
                        <label class="btn btn-primary ng-pristine ng-untouched ng-valid active" ng-model="calendarView"
                               btn-radio="'month'">Mês</label>
                        <label class="btn btn-primary ng-pristine ng-untouched ng-valid" ng-model="calendarView"
                               btn-radio="'week'">Semana</label>
                        <label class="btn btn-primary ng-pristine ng-untouched ng-valid" ng-model="calendarView"
                               btn-radio="'day'">Dia</label>
                    </div>
                </div>

            </div>

            <div class="row">
                <div class="col-lg-12">
                    <div class="text-center">
                        <h1>{{calendarTitle}}</h1>
                    </div>
                    <mwl-calendar
                            view="calendarView"
                            current-day="calendarDay"
                            events="events"
                            view-title="calendarTitle"
                            on-event-click="eventClicked(calendarEvent)"
                            on-event-times-changed="calendarEvent.startsAt = calendarNewEventStart; calendarEvent.endsAt = calendarNewEventEnd"
                            edit-event-html="'<i class=\'glyphicon glyphicon-pencil\'></i>'"
                            delete-event-html="'<i class=\'glyphicon glyphicon-remove\'></i>'"
                            on-edit-event-click="eventEdited(calendarEvent)"
                            on-delete-event-click="eventDeleted(calendarEvent)"
                            auto-open="true">
                    </mwl-calendar>
                </div>
            </div>

        </div>
    </jsp:body>

</t:dashboard>