<%@ page contentType="text/html;charset=UTF-8" pageEncoding="UTF-8" language="java" %>
<%@taglib prefix="t" tagdir="/WEB-INF/tags" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<t:dashboard>

    <jsp:attribute name="script">
        <script src="<c:url value="/js/controllers/categoria.controller.js"/>"></script>
    </jsp:attribute>

    <jsp:body>
        <div class="container-fluid" ng-controller="CategoriaController">
            <div class="row">
                <div class="col-lg-6 col-lg-offset-3">

                    <alert ng-repeat="alert in alerts" type="{{alert.type}}" close="closeAlert($index)">{{alert.msg}}
                    </alert>

                    <div class="row">
                        <div class="col-lg-12">
                            <form ng-submit="submitForm()" name="categoriaForm">
                                <div class="panel panel-primary">
                                    <div class="panel-heading">
                                        <span>Cadastrar Categoria</span>
                                    </div>
                                    <div class="panel-body">
                                        <div class="form-group">
                                            <label for="categoria.nome">Nome</label>
                                            <input type="text" ng-model="categoria.nome" id="categoria.nome"
                                                   class="form-control"
                                                   placeholder="Insira um nome para nova categoria"
                                                   required/>
                                        </div>
                                    </div>
                                    <div class="panel-footer">
                                        <button class="btn btn-default" type="submit">Salvar</button>
                                        <button ng-click="resetForm()" class="btn btn-default" type="button">Cancelar
                                        </button>
                                    </div>
                                </div>
                            </form>
                        </div>
                    </div>


                    <div class="row">
                        <div class="col-lg-12">

                            <div ng-hide="categoriaList.length">
                                <span> Não há categorias cadastradas</span>
                            </div>

                            <table ng-show="categoriaList.length" class="table table-hover">
                                <thead>
                                <tr>
                                    <th>Nome</th>
                                    <th></th>
                                </tr>
                                </thead>
                                <tbody>
                                <tr ng-repeat="entry in categoriaList">
                                    <td>{{entry.nome}}</td>
                                    <td>
                                        <div class="btn-group" aria-label="...">
                                            <button ng-click="setModel(entry)" class="btn btn-default" type="button">
                                                Editar
                                            </button>
                                            <button ng-click="delete(entry)" class="btn btn-danger" type="button">
                                                Excluir
                                            </button>
                                        </div>
                                    </td>
                                </tr>
                                </tbody>
                            </table>
                        </div>
                    </div>

                    <div class="row">
                        <div class="col-lg-12 text-center">
                            <button class="btn btn-default" type="button" ng-click="getAll()">Atualizar</button>
                        </div>
                    </div>

                </div>
            </div>
        </div>
    </jsp:body>

</t:dashboard>