<%@ page contentType="text/html;charset=UTF-8" pageEncoding="UTF-8" language="java" %>
<%@taglib prefix="t" tagdir="/WEB-INF/tags" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<t:dashboard>

    <jsp:attribute name="script">
        <script src="<c:url value="/js/controllers/cliente.controller.js"/>"></script>
    </jsp:attribute>

    <jsp:body>
        <div class="container-fluid" ng-controller="ClienteController">
            <div class="row">
                <div class="col-lg-10 col-lg-offset-1">

                    <alert ng-repeat="alert in alerts" type="{{alert.type}}" close="closeAlert($index)">{{alert.msg}}
                    </alert>

                    <div class="row">
                        <div class="col-lg-12">
                            <form ng-submit="submitForm()" name="clienteForm">
                                <div class="panel panel-primary">
                                    <div class="panel-heading">
                                        <span>Cadastrar cliente</span>
                                    </div>
                                    <div class="panel-body">
                                        <div class="row">
                                            <div class="col-lg-6">
                                                <fieldset>
                                                    <legend>Informações do cliente</legend>
                                                    <div class="form-group">
                                                        <label for="cliente.nome">Nome</label>
                                                        <input type="text" ng-model="cliente.nome" id="cliente.nome"
                                                               class="form-control"
                                                               placeholder="Insira um nome"
                                                               required/>
                                                    </div>
                                                    <div class="form-group">
                                                        <label for="cliente.telefone">Telefone</label>
                                                        <input type="text" ng-model="cliente.telefone"
                                                               id="cliente.telefone"
                                                               class="form-control"
                                                               placeholder="Insira um telefone"
                                                               required/>
                                                    </div>
                                                    <div class="form-group">
                                                        <label for="cliente.email">Email</label>
                                                        <input type="email" ng-model="cliente.email" id="cliente.email"
                                                               class="form-control"
                                                               placeholder="Insira um email"
                                                               required/>
                                                    </div>

                                                    <div class="form-group">
                                                        <label class="radio-inline">
                                                            <input type="radio" ng-model="cliente.type"
                                                                   id="cliente.type.pessoa_fisica"
                                                                   value="PESSOA_FISICA"/>
                                                            Pessoa Física
                                                        </label>
                                                        <label class="radio-inline">
                                                            <input type="radio" ng-model="cliente.type"
                                                                   id="cliente.type.pessoa_juridica"
                                                                   value="PESSOA_JURIDICA"/>
                                                            Pessoa Jurídica
                                                        </label>
                                                    </div>

                                                    <div ng-show="cliente.type == 'PESSOA_FISICA'">
                                                        <div class="form-group">
                                                            <label for="cliente.cpf">CPF</label>
                                                            <input type="text" ng-model="cliente.cpf" id="cliente.cpf"
                                                                   class="form-control"
                                                                   placeholder="Insira o CPF"/>
                                                        </div>
                                                        <div class="form-group">
                                                            <label for="cliente.dataNascimento">Data de
                                                                nascimento</label>
                                                            <input type="date" ng-model="cliente.dataNascimento"
                                                                   id="cliente.dataNascimento"
                                                                   class="form-control"/>
                                                        </div>
                                                    </div>


                                                    <div ng-show="cliente.type == 'PESSOA_JURIDICA'">
                                                        <div class="form-group">
                                                            <label for="cliente.cnpj">CNPJ</label>
                                                            <input type="text" ng-model="cliente.cnpj" id="cliente.cnpj"
                                                                   class="form-control"
                                                                   placeholder="Insira o CNPJ"/>
                                                        </div>
                                                    </div>

                                                </fieldset>
                                            </div>

                                            <div class="col-lg-6">
                                                <fieldset>
                                                    <legend>Endereço</legend>
                                                    <div class="form-group">
                                                        <label for="cliente.endereco.rua">Rua</label>
                                                        <input type="text" ng-model="cliente.endereco.rua"
                                                               id="cliente.endereco.rua"
                                                               class="form-control"
                                                               placeholder="Insira o nome da rua"
                                                               required/>
                                                    </div>
                                                    <div class="form-group">
                                                        <label for="cliente.endereco.numero">Número</label>
                                                        <input type="number" ng-model="cliente.endereco.numero"
                                                               id="cliente.endereco.numero"
                                                               class="form-control"/>
                                                    </div>
                                                    <div class="form-group">
                                                        <label for="cliente.endereco.complemento">Complemento</label>
                                                        <input type="text" ng-model="cliente.endereco.complemento"
                                                               id="cliente.endereco.complemento"
                                                               class="form-control"
                                                               placeholder="Insira o complemento, se houver"/>
                                                    </div>
                                                    <div class="form-group">
                                                        <label for="cliente.endereco.bairro">Bairro</label>
                                                        <input type="text" ng-model="cliente.endereco.bairro"
                                                               id="cliente.endereco.bairro"
                                                               class="form-control"
                                                               placeholder="Insira o nome da cidade"
                                                               required/>
                                                    </div>
                                                    <div class="form-group">
                                                        <label for="cliente.endereco.cidade">Cidade</label>
                                                        <input type="text" ng-model="cliente.endereco.cidade"
                                                               id="cliente.endereco.cidade"
                                                               class="form-control"
                                                               placeholder="Insira o nome da cidade"
                                                               required/>
                                                    </div>
                                                    <div class="form-group">
                                                        <label for="cliente.endereco.uf">UF</label>
                                                        <select ng-model="cliente.endereco.uf" class="form-control"
                                                                id="cliente.endereco.uf" required>
                                                            <option value="AC">Acre</option>
                                                            <option value="AL">Alagoas</option>
                                                            <option value="AM">Amazonas</option>
                                                            <option value="AP">Amapá</option>
                                                            <option value="BA">Bahia</option>
                                                            <option value="CE">Ceará</option>
                                                            <option value="DF">Distrito Federal</option>
                                                            <option value="ES">Espírito Santo</option>
                                                            <option value="GO">Goiás</option>
                                                            <option value="MA">Maranhão</option>
                                                            <option value="MT">Mato Grosso</option>
                                                            <option value="MS">Mato Grosso do Sul</option>
                                                            <option value="MG">Minas Gerais</option>
                                                            <option value="PA">Pará</option>
                                                            <option value="PB">Paraíba</option>
                                                            <option value="PR">Paraná</option>
                                                            <option value="PE">Pernambuco</option>
                                                            <option value="PI">Piauí</option>
                                                            <option value="RJ">Rio de Janeiro</option>
                                                            <option value="RN">Rio Grande do Norte</option>
                                                            <option value="RO">Rondônia</option>
                                                            <option value="RS">Rio Grande do Sul</option>
                                                            <option value="RR">Roraima</option>
                                                            <option value="SC">Santa Catarina</option>
                                                            <option value="SE">Sergipe</option>
                                                            <option value="SP">São Paulo</option>
                                                            <option value="TO">Tocantins</option>
                                                        </select>
                                                    </div>
                                                    <div class="form-group">
                                                        <label for="cliente.endereco.cep">CEP</label>
                                                        <input type="text" ng-model="cliente.endereco.cep"
                                                               id="cliente.endereco.cep"
                                                               class="form-control"
                                                               placeholder="Insira o CEP"
                                                               required/>
                                                    </div>
                                                </fieldset>
                                            </div>
                                        </div>

                                    </div>
                                    <div class="panel-footer text-center">
                                        <button class="btn btn-success" type="submit">Salvar</button>
                                        <button ng-click="resetForm()" class="btn btn-default" type="button">Cancelar
                                        </button>
                                    </div>
                                </div>
                            </form>
                        </div>
                    </div>


                    <div class="row">
                        <div class="col-lg-12">

                            <div ng-hide="clienteList.length">
                                <span> Não há clientes cadastrados</span>
                            </div>

                            <table ng-show="clienteList.length" class="table table-hover">
                                <thead>
                                <tr>
                                    <th>Nome</th>
                                    <th>Telefone</th>
                                    <th>Email</th>
                                    <th></th>
                                </tr>
                                </thead>
                                <tbody>
                                <tr ng-repeat="entry in clienteList">
                                    <td>{{entry.nome}}</td>
                                    <td>{{entry.telefone}}</td>
                                    <td>{{entry.email}}</td>
                                    <td>
                                        <div class="btn-group" aria-label="...">
                                            <button ng-click="setModel(entry)" class="btn btn-default" type="button">
                                                Editar
                                            </button>
                                            <button ng-click="delete(entry)" class="btn btn-danger" type="button">
                                                Excluir
                                            </button>
                                        </div>
                                    </td>
                                </tr>
                                </tbody>
                            </table>
                        </div>
                    </div>

                    <div class="row">
                        <div class="col-lg-12 text-center">
                            <button class="btn btn-default" type="button" ng-click="getAll()">Atualizar</button>
                        </div>
                    </div>

                </div>
            </div>
        </div>
    </jsp:body>

</t:dashboard>