<%@ page contentType="text/html;charset=UTF-8" pageEncoding="UTF-8" language="java" %>
<%@taglib prefix="t" tagdir="/WEB-INF/tags" %>
<%@ taglib prefix="c" uri="http://www.springframework.org/tags" %>
<t:template>

    <jsp:attribute name="stylesheet">
        <link href="<c:url value="css/index.css"/>" rel="stylesheet">
    </jsp:attribute>
    <jsp:body>
        <div class="container">
            <div class="header clearfix">
                <nav>
                    <ul class="nav nav-pills pull-right">
                        <li role="presentation"><a href="#">Contato</a></li>
                        <li id="btn-login" role="presentation"><a href="<c:url value="/signin"/>">Login</a></li>
                    </ul>
                </nav>
                <h3 class="text-muted">CRMPV</h3>
            </div>

            <div class="jumbotron">
                <img src="<c:url value="/img/logo-large.png"/>" width="512"/>

                <p class="lead"> Gestão de Relacionamento com o Cliente para Pós-Venda</p>
            </div>

            <div class="row marketing">
                <div class="col-lg-6">
                    <h4>Produtos</h4>

                    <p>Cadastre seu produtos no banco de dados para efetuar vendas, gerar relatórios, etc.</p>

                    <h4>Categorias</h4>

                    <p>Relacione seus produtos por categorias criadas por você, possibilitando relatórios mais
                        detalhados.</p>

                    <h4>Clientes</h4>

                    <p>Cadastre todos os seus clientes, tanto pessoa física quanto jurídica, e tenha relatórios de
                        consumo para cada cliente.</p>

                </div>

                <div class="col-lg-6">
                    <h4>Calendário</h4>

                    <p>Visualize todas as previsões de consumo mensais para que você possa contactar ao seu cliente
                        previamente.</p>

                    <h4>Relatórios</h4>

                    <p>Gere relatórios diversos para visualizar informações relevantes para sua empresa.</p>
                </div>
            </div>

            <footer class="footer">
                <p>© CRMPV 2015</p>
            </footer>

        </div>
        <!-- /container -->
    </jsp:body>

</t:template>