<%@ page contentType="text/html;charset=UTF-8" pageEncoding="UTF-8" language="java" %>
<%@taglib prefix="t" tagdir="/WEB-INF/tags" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<t:dashboard>

    <jsp:attribute name="script">
        <script src="<c:url value="/js/controllers/produto.controller.js"/>"></script>
    </jsp:attribute>

    <jsp:body>
        <div class="container-fluid" ng-controller="ProdutoController">
            <div class="row">
                <div class="col-lg-6 col-lg-offset-3">

                    <alert ng-repeat="alert in alerts" type="{{alert.type}}" close="closeAlert($index)">{{alert.msg}}
                    </alert>

                    <div class="row">
                        <div class="col-lg-12">
                            <form ng-submit="submitForm()" name="produtoForm">
                                <div class="panel panel-primary">
                                    <div class="panel-heading">
                                        <span>Cadastrar produto</span>
                                    </div>
                                    <div class="panel-body">
                                        <div class="form-group">
                                            <label for="produto.nome">Nome</label>
                                            <input type="text" ng-model="produto.nome" id="produto.nome"
                                                   class="form-control"
                                                   placeholder="Insira um nome"
                                                   required/>
                                        </div>
                                        <div class="form-group">
                                            <label for="produto.codigo">Código</label>
                                            <input type="text" ng-model="produto.codigo" id="produto.codigo"
                                                   class="form-control"
                                                   placeholder="Insira um código"
                                                   required/>
                                        </div>
                                        <div class="form-group">
                                            <label for="produto.preco">Preço</label>
                                            <input type="number" step="0.01" ng-model="produto.preco" id="produto.preco"
                                                   class="form-control"
                                                   placeholder="Insira o preço"
                                                   required/>
                                        </div>
                                        <div class="form-group">
                                            <label for="produto.categoria">Categoria</label>
                                            <select ng-options="categoria.id as categoria.nome for categoria in categoriaList"
                                                    ng-model="produto.categoria.id" class="form-control" id="produto.categoria" required>
                                            </select>
                                        </div>
                                    </div>
                                    <div class="panel-footer">
                                        <button class="btn btn-default" type="submit">Salvar</button>
                                        <button ng-click="resetForm()" class="btn btn-default" type="button">Cancelar
                                        </button>
                                    </div>
                                </div>
                            </form>
                        </div>
                    </div>


                    <div class="row">
                        <div class="col-lg-12">

                            <div ng-hide="produtoList.length">
                                <span> Não há produtos cadastrados</span>
                            </div>

                            <table ng-show="produtoList.length" class="table table-hover">
                                <thead>
                                <tr>
                                    <th>Nome</th>
                                    <th>Código</th>
                                    <th>Preço</th>
                                    <th>Categoria</th>
                                    <th></th>
                                </tr>
                                </thead>
                                <tbody>
                                <tr ng-repeat="entry in produtoList">
                                    <td>{{entry.nome}}</td>
                                    <td>{{entry.codigo}}</td>
                                    <td>{{entry.preco | currency:'R$'}}</td>
                                    <td>{{entry.categoria.nome}}</td>
                                    <td>
                                        <div class="btn-group" aria-label="...">
                                            <button ng-click="setModel(entry)" class="btn btn-default" type="button">
                                                Editar
                                            </button>
                                            <button ng-click="delete(entry)" class="btn btn-danger" type="button">
                                                Excluir
                                            </button>
                                        </div>
                                    </td>
                                </tr>
                                </tbody>
                            </table>
                        </div>
                    </div>

                    <div class="row">
                        <div class="col-lg-12 text-center">
                            <button class="btn btn-default" type="button" ng-click="getAll()">Atualizar</button>
                        </div>
                    </div>

                </div>
            </div>
        </div>
    </jsp:body>

</t:dashboard>