<%@ page contentType="text/html;charset=UTF-8" pageEncoding="UTF-8" language="java" %>
<%@taglib prefix="t" tagdir="/WEB-INF/tags" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<t:dashboard>

    <jsp:attribute name="script">
        <script src="<c:url value="/js/controllers/relatorio.controller.js"/>"></script>
        <%--<script> getMedia(); </script>--%>
    </jsp:attribute>

    <jsp:body>
        <div class="container-fluid" ng-controller="RelatorioController">
            <div class="row">
                <div class="col-lg-6 col-lg-offset-3">
                    <alert ng-repeat="alert in alerts" type="{{alert.type}}" close="closeAlert($index)">{{alert.msg}}
                    </alert>

                    <div class="row">
                        <div class="col-lg-12">
                            <form ng-submit="submitVendasForm()" name="vendasForm">
                                <div class="panel panel-primary">
                                    <div class="panel-heading">
                                        <span>Relatório de Vendas</span>
                                    </div>
                                    <div class="panel-body">
                                        <div class="form-group">
                                            <label for="vendas.cliente">Cliente</label>
                                            <select ng-options="cliente as cliente.nome for cliente in clienteList"
                                                    ng-model="vendas.cliente" class="form-control" id="vendas.cliente"
                                                    required>
                                            </select>
                                        </div>
                                    </div>
                                    <div class="panel-footer">
                                        <button class="btn btn-default" type="submit">Pesquisar</button>
                                    </div>
                                </div>
                            </form>
                        </div>
                    </div>

                    <div ng-hide="vendasFiltroList.length">
                        <span> Não há vendas cadastradas</span>
                    </div>

                    <table ng-show="vendasFiltroList.length" class="table table-hover">
                        <thead>
                        <tr>
                            <th>Cliente</th>
                            <th>Categoria</th>
                            <th>Produto</th>
                            <th>Quantidade</th>
                        </tr>
                        </thead>
                        <tbody>
                        <tr ng-repeat="entry in vendasFiltroList">
                            <td>{{entry.cliente.nome}}</td>
                            <td>{{entry.produto.categoria.nome}}</td>
                            <td>{{entry.produto.nome}}</td>
                            <td>{{entry.quantidade}}</td>
                        </tr>
                        </tbody>
                    </table>
                </div>
            </div>

            <div class="row">
                <div class="col-lg-12 text-center">
                    <button class="btn btn-default" type="button" ng-click="getVendasFiltro()">Todos</button>
                </div>
            </div>
        </div>
    </jsp:body>

</t:dashboard>