<%@ page contentType="text/html;charset=UTF-8" pageEncoding="UTF-8" language="java" %>
<%@taglib prefix="t" tagdir="/WEB-INF/tags" %>
<%@ taglib prefix="c" uri="http://www.springframework.org/tags" %>
<%@ taglib prefix="cr" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ taglib prefix="spring" uri="http://www.springframework.org/tags" %>
<t:template>

    <jsp:attribute name="stylesheet">
        <link href="<c:url value="/css/signin.css"/>" rel="stylesheet">
    </jsp:attribute>
    <jsp:body>
        <div class="container-fluid">
            <form class="form-signin" action="<c:url value="/signin/login"/>" method="post">
                <div class="text-center" style="margin-bottom: 10px;">
                    <img src="<c:url value="/img/logo-large.png"/>" width="256">
                </div>
                <h2 class="form-signin-heading" style="color: #999;">Insira seus dados</h2>
                <label for="username" class="sr-only">Username</label>
                <input type="text" id="username" name="username" class="form-control" placeholder="Username" required
                       autofocus>
                <label for="password" class="sr-only">Password</label>
                <input type="password" id="password" name="password" class="form-control" placeholder="Password"
                       required>
                <button id="btn-login" class="btn btn-lg btn-primary btn-block" type="submit">Login</button>

                <cr:if test="${not empty SPRING_SECURITY_LAST_EXCEPTION}">
                    <div class="alert alert-danger" role="alert" style="margin-top: 15px;">
                        <cr:out value="${SPRING_SECURITY_LAST_EXCEPTION.message}"/>
                        <cr:remove var="SPRING_SECURITY_LAST_EXCEPTION" scope="session"/>
                    </div>
                </cr:if>
                <input type="hidden" name="${_csrf.parameterName}" value="${_csrf.token}"/>
            </form>
        </div>
    </jsp:body>

</t:template>