angular.module('crmpv', ['mwl.calendar', 'ui.bootstrap']).controller('CalendarioController', ['$scope', '$http', function ($scope, $http) {

    $scope.events = [];
    $scope.format = 'dd-MM-yyyy';
    $scope.calendarView = 'month';
    $scope.calendarDay = new Date();

    $scope.getAllNotificacao = function () {
        var response = $http.get('/dashboard/notificacao/get');

        response.success(function (data, status, headers, config) {
            angular.forEach(data, function (notificacao) {
                console.log(JSON.stringify(notificacao));
                $scope.createEvent(notificacao);
            });
        });

        response.error(function (data, status, headers, config) {
            console.log(data);
            $scope.addAlert({type: 'danger', msg: data});
        });
    };

    $scope.createEvent = function (notificacao) {
        event = {
            title: notificacao.cliente.nome + ' - ' + notificacao.produto.nome, // The title of the event
            type: 'info', // The type of the event (determines its color). Can be important, warning, info, inverse, success or special
            startsAt: new Date(notificacao.dataPrevisao), // A javascript date object for when the event starts
            endsAt: new Date(notificacao.dataPrevisao), // Optional - a javascript date object for when the event ends
            editable: false, // If edit-event-html is set and this field is explicitly set to false then dont make it editable.
            deletable: false, // If delete-event-html is set and this field is explicitly set to false then dont make it deleteable
            draggable: false, //Allow an event to be dragged and dropped
            resizable: false, //Allow an event to be resizable
            incrementsBadgeTotal: true, //If set to false then will not count towards the badge total amount on the month and year view
            recursOn: 'year', // If set the event will recur on the given period. Valid values are year or month
            cssClass: 'a-css-class-name' //A CSS class (or more, just separate with spaces) that will be added to the event when it is displayed on each view. Useful for marking an event as selected / active etc
        };
        $scope.events.push(event);
    };

    $scope.getAllNotificacao();

}]);

angular.module('crmpv').config(function (calendarConfigProvider) {
    calendarConfigProvider.setDateFormatter('moment');
    moment.locale('pt-br')
});