angular.module('crmpv').controller('RelatorioController', ['$scope', '$http', function ($scope, $http) {

    $scope.mediaList = [];
    $scope.clienteList = [];
    $scope.vendasFiltroList = [];
    $scope.qtdCategoriaList = [];
    $scope.qtdProdutoList = [];
    $scope.alerts = [];
    $scope.media = {
        cliente: {}
    };
    $scope.vendas = {
        cliente: {}
    };

    $scope.getMedia = function () {
        var response = $http.post('/relatorio/media');

        response.success(function (data, status, headers, config) {
            $scope.mediaList = data;
        });

        response.error(function (data, status, headers, config) {
            console.log(data);
            $scope.addAlert({type: 'danger', msg: data});
        });
    };

    $scope.getVendasFiltro = function () {
        var response = $http.post('/relatorio/vendas/filtro');

        response.success(function (data, status, headers, config) {
            $scope.vendasFiltroList = data;
        });

        response.error(function (data, status, headers, config) {
            console.log(data);
            $scope.addAlert({type: 'danger', msg: data});
        });
    };

    $scope.getQtdCategoria = function () {
        var response = $http.post('/relatorio/quantidade/categoria');

        response.success(function (data, status, headers, config) {
            $scope.qtdCategoriaList = data;
        });

        response.error(function (data, status, headers, config) {
            console.log(data);
            $scope.addAlert({type: 'danger', msg: data});
        });
    };

    $scope.getQtdProduto = function () {
        var response = $http.post('/relatorio/quantidade/produto');

        response.success(function (data, status, headers, config) {
            $scope.qtdProdutoList = data;
        });

        response.error(function (data, status, headers, config) {
            console.log(data);
            $scope.addAlert({type: 'danger', msg: data});
        });
    };

    $scope.getMediaById = function (id) {
        var response = $http.get('/relatorio/media/' + id);

        response.success(function (data, status, headers, config) {
            $scope.mediaList = data;
        });

        response.error(function (data, status, headers, config) {
            console.log(data);
            $scope.addAlert({type: 'danger', msg: data});
        });
    };

    $scope.getVendasFiltroByIdCli = function (idCli) {
        var response = $http.get('/relatorio/media/' + idCli);

        response.success(function (data, status, headers, config) {
            $scope.vendasFiltroList = data;
        });

        response.error(function (data, status, headers, config) {
            console.log(data);
            $scope.addAlert({type: 'danger', msg: data});
        });
    };

    $scope.getAllCliente = function () {
        var response = $http.get('/cliente/get');

        response.success(function (data, status, headers, config) {
            $scope.clienteList = data;
        });

        response.error(function (data, status, headers, config) {
            console.log(data);
            $scope.addAlert({type: 'danger', msg: data});
        });
    };

    $scope.submitForm = function () {
        var cliente = $scope.media.cliente;
        if (cliente.id != undefined) {
            $scope.getMediaById(cliente.id);
        } else {
            $scope.getMedia();
        }
    };

    $scope.submitVendasForm = function () {
        var cliente = $scope.vendas.cliente;
        if (cliente.id != undefined) {
            $scope.getVendasFiltroByIdCli(cliente.id);
        } else {
            $scope.getVendasFiltro();
        }
    };

    $scope.addAlert = function (alert) {
        $scope.alerts.push(alert);
    };

    $scope.closeAlert = function (index) {
        $scope.alerts.splice(index, 1);
    };

    $scope.getMedia();
    $scope.getAllCliente();
    $scope.getVendasFiltro();
    $scope.getQtdCategoria();
    $scope.getQtdProduto(); //TODO melhorar acoplamento
}]);