angular.module('crmpv').controller('VendaController', ['$scope', '$http', '$filter', function ($scope, $http, $filter) {

    $scope.initial = {
        venda: {
            data: new Date(),
            itens: [],
            pagamento: {
                efetuado: true
            }
        }
    };

    $scope.venda = angular.copy($scope.initial.venda);
    $scope.vendaList = [];
    $scope.clienteList = [];
    $scope.produtoList = [];
    $scope.alerts = [];

    $scope.getAllCliente = function () {
        var response = $http.get('/cliente/get');
        response.success(function (data, status, headers, config) {
            $scope.clienteList = data;
        });
        response.error(function (data, status, headers, config) {
            console.log(data);
            $scope.addAlert({type: 'danger', msg: data});
        });
    };

    $scope.getAllProduto = function () {
        var response = $http.get('/produto/get');
        response.success(function (data, status, headers, config) {
            $scope.produtoList = data;
        });
        response.error(function (data, status, headers, config) {
            console.log(data);
            $scope.addAlert({type: 'danger', msg: data});
        });
    };

    $scope.insert = function () {
        var response = $http.post('/venda/insert', $scope.venda);
        response.success(function (data, status, headers, config) {
            $scope.resetForm();
            $scope.addAlert({type: 'success', msg: 'Venda cadastrada com sucesso!'});
        });
        response.error(function (data, status, headers, config) {
            console.log(data);
            $scope.addAlert({type: 'danger', msg: data});
        });
    };

    $scope.submitForm = function () {
        $scope.insert();
    };

    $scope.resetForm = function () {
        $scope.venda = angular.copy($scope.initial.venda);
        $scope.vendaForm.$setPristine();
        $scope.addItem();
    };

    $scope.addAlert = function (alert) {
        $scope.alerts.push(alert);
    };

    $scope.closeAlert = function (index) {
        $scope.alerts.splice(index, 1);
    };

    $scope.addItem = function () {
        $scope.venda.itens.push({
            produto: {},
            quantidade: 1
        });
    };

    $scope.removeItem = function (item) {
        var index = $scope.venda.itens.indexOf(item);
        $scope.venda.itens.splice(index, 1);
    };

    $scope.total = function () {
        var total = 0;
        angular.forEach($scope.venda.itens, function (item) {
            if (typeof item.produto.preco != 'undefined') {
                total += item.quantidade * item.produto.preco;
            }
        });
        return total;
    };

    $scope.getAllCliente();
    $scope.getAllProduto();
    $scope.addItem();

}]);